<div class="container">
    <div class="row">
        <div class="card card-bordered card-flush shadow-sm">
            <div class="card-header">
                <h3 class="card-title" i18n>Privacy Policy</h3>
            </div>
            <div class="card-body top-card-label">
                <div class="container">
                    <div class="scrollable">
                        <h1 class="text-center">{{privacy_policy['Title']}}</h1>
                        <h3 class="text-center">{{privacy_policy['Privacy_policy']}}</h3>
                        <h3 class="text-center">{{privacy_policy['Last_revised']}}</h3>
                        <p><i>{{privacy_policy['Intro']}}</i></p>
                        <h3>1. {{privacy_policy['1']}}</h3>
                        <p><strong>1.1</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['1.1']}}</p>
                        <p><strong>1.2</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['1.2']}}</p>
                        <p>&nbsp;&nbsp;&nbsp;&nbsp;<strong>1.2.1</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['1.2.1']}}</p>
                        <p>&nbsp;&nbsp;&nbsp;&nbsp;<strong>1.2.2</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['1.2.2']}}</p>
                        <p>&nbsp;&nbsp;&nbsp;&nbsp;<strong>1.2.3</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['1.2.3']}}</p>
                        <p>&nbsp;&nbsp;&nbsp;&nbsp;<strong>1.2.4</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['1.2.4']}}</p>
                        <p>&nbsp;&nbsp;&nbsp;&nbsp;<strong>1.2.5</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['1.2.5']}}</p>
                        <p>&nbsp;&nbsp;&nbsp;&nbsp;<strong>1.2.6</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['1.2.6']}}</p>
                        <p>&nbsp;&nbsp;&nbsp;&nbsp;<strong>1.2.7</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['1.2.7']}}</p>
                        <p><strong>1.3</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['1.3']}}</p>
                        <p><strong>1.4</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['1.4']}}</p>

                        <h3 class="sub-header">2. {{privacy_policy['2']}}</h3>
                        <p><strong>2.1</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['2.1']}}</p>
                        <ul>
                            <li *ngFor="let data_type of privacy_policy['data_types']">{{data_type}}</li>
                        </ul>
                        <p>{{privacy_policy['2.1.1']}}</p>

                        <h3 class="sub-header">3. {{privacy_policy['3']}}</h3>
                        <p><strong>3.1</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['3.1']}}</p>
                        <p><strong>3.2</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['3.2']}}</p>
                        
                        <table class="table table-stripped">
                            <thead>
                                <th *ngFor="let header of privacy_policy['headers']"><strong>{{header}}</strong></th>
                            </thead>
                            <tbody>
                                <tr *ngFor="let row of privacy_policy['rows']">
                                    <td>{{row['1']}}</td>
                                    <td>{{row['2']}}</td>
                                    <td>{{row['3']}}</td>
                                    <td>{{row['4']}}</td>
                                </tr>
                            </tbody>
                        </table>

                        <h3 class="sub-header">4. {{privacy_policy['4']}}</h3>
                        <p>{{privacy_policy['4.1']}}</p>

                        <h3 class="sub-header">5. {{privacy_policy['5']}}</h3>
                        <p><strong>5.1</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['5.1']}}</p>
                        <p><strong>5.2</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['5.2']}}</p>
                        <p><strong>5.3</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['5.3']}}</p>
                        <p><strong>5.4</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['5.4']}}</p>

                        <h3 class="sub-header">6. {{privacy_policy['6']}}</h3>
                        <p><strong>6.1</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['6.1']}}</p>

                        <h3 class="sub-header">7. {{privacy_policy['7']}}</h3>
                        <p><strong>7.1</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['7.1']}}</p>
                        <p><strong>7.2</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['7.2']}}</p>
                        <p><strong>7.3</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['7.3']}}</p>

                        <h3 class="sub-header">8. {{privacy_policy['8']}}</h3>
                        <p><strong>8.1</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['8.1']}}</p>

                        <h3 class="sub-header">9. {{privacy_policy['9']}}</h3>
                        <p><strong>9.1</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['9.1']}}</p>
                        <p><strong>9.2</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['9.2']}}</p>
                        <p><strong>9.3</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['9.3']}}</p>
                        <p><strong>9.4</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['9.4']}}</p>
                        <p><strong>9.5</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['9.5']}}</p>
                        <p><strong>9.6</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['9.6']}}</p>
                        <p><strong>9.7</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['9.7']}}</p>
                        <p><strong>9.8</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['9.8']}}</p>
                        <p><strong>9.9</strong>&nbsp;&nbsp;&nbsp;&nbsp;{{privacy_policy['9.9']}} <a href="https://edpb.europa.eu/about-edpb/about-edpb/members_en" target="_blank" class="link-primary" i18n>here.</a></p>

                        <h3 class="sub-header">10. {{privacy_policy['10']}}</h3>
                        <h4>{{privacy_policy['10.1']}}</h4>
                        <p>{{privacy_policy['10.2']}} <a href="mailto:politecnicoditorino@pec.polito.it" class="link-primary">politecnicoditorino@pec.polito.it.</a></p>
                        <h4>{{privacy_policy['10.3']}}</h4>
                        <p>{{privacy_policy['10.4']}} <a href="mailto:dpo@pimcity-h2020.eu" class="link-primary">dpo@pimcity-h2020.eu.</a></p>

                    </div>
                </div>
            </div>
            <div *ngIf="accepted == 'true'" class="card-footer d-flex justify-content-center py-6 px-9">
                <div class="notice d-flex bg-light-primary rounded border-primary border border-dashed p-6"><span class="svg-icon svg-icon-2tx svg-icon-primary me-4"><svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <rect opacity="0.3" x="2" y="2" width="20" height="20" rx="10" fill="black"></rect>
                    <rect x="11" y="14" width="7" height="2" rx="1" transform="rotate(-90 11 14)" fill="black"></rect>
                    <rect x="11" y="17" width="2" height="2" rx="1" transform="rotate(-90 11 17)" fill="black"></rect>
                    </svg></span><!---->
                    <div class="d-flex flex-stack">
                        <div class="fw-bold align-middle">
                            <h4 class="text-gray-800 fw-bolder m-0 p-0" i18n>Already accepted</h4>
                        </div>
                    </div>
                </div>            
            </div>

            <div *ngIf="accepted == 'false'" class="card-footer d-flex justify-content-end py-6 px-9">
                <button (click)="accept_policy()" type="button" class="btn btn-primary" i18n>Accept</button>
            </div>
        </div>
    </div>
</div>

